<?php
/*
Group Message
by BleepyEvans
http://www.cybertechforums.com
Copyright 2012 CyberTechForums.com
*/

if(!defined('IN_MYBB'))
	die('This file cannot be accessed directly.');
	
$plugins->add_hook("global_start", "postcountmessage_code");

function postcountmessage_info()
	{
		$donate_button = 
		'<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=XJBJRJ98BRLCY" style="float:right;margin-top:-8px;padding:4px;" target="_blank"><img src="https://www.paypalobjects.com/WEBSCR-640-20110306-1/en_US/i/btn/btn_donate_SM.gif" /></a>';

		return array('name'      => 'Post Count Message',
                 'description'   => $donate_button.'Display a message to users with a post counte lower than specified',
                 'website'       => 'http://cybertechforums.com',
                 'author'        => 'BleepyEvans',
                 'authorsite'    => 'http://cybertechforums.com',
                 'version'       => '1.1.1',
                 'compatibility' => '16*',
                 'guid'		     => 'e833f56346336e8c472332d67276f4b9'
                );
	}
	
function postcountmessage_install()
	{
		// load the $db variable of MyBB in our function
		global $db;
		
		
		// add admincp controls
		
		// get the last disporder in the settinggroups table
		$query = $db->simple_select("settinggroups", "MAX(disporder) as max_disporder");
		$max_disporder = $db->fetch_field($query, "max_disporder");
	
		// insert our own settinggroup
		$gid = $db->insert_query("settinggroups",
			array(
				'name' => "postcountmessage",
				'title' => "Post Count Message",
				'description' => "Settings for the Post Count Message plugin.",
				'disporder' => $max_disporder+1,
				'isdefault' => 0
			)
		);
		
		// insert the setting into the settings table
		$db->insert_query( "settings" ,
			array(
				'name' => "postcountmessage_enable",
				'title' => "Enable the plugin",
				'description' => "Enable the message?",
				'optionscode' => "yesno",
				'value' => "no",
				'disporder' => 0,
				'gid' => (int)$gid
			)
		);
		
		// insert the setting into the settings table
		$db->insert_query( "settings" ,
			array(
				'name' => "postcountmessage_indextext",
				'title' => "HTML Message to Display",
				'description' => "Enter the HTML code you wish to display",
				'optionscode' => "textarea",
				'value' => "",
				'disporder' => 1,
				'gid' => (int)$gid
			)
		);
		
		// insert the setting into the settings table
		$db->insert_query( "settings" ,
			array(
				'name' => "postcountmessage_postcount",
				'title' => "Post Count",
				'description' => "Enter the post value the users post count should be lower than.",
				'optionscode' => "text",
				'value' => "",
				'disporder' => 3,
				'gid' => (int)$gid
			)
		);
		
		// insert the setting into the settings table
		$db->insert_query( "settings" ,
			array(
				'name' => "postcountmessage_guests",
				'title' => "Show message to guests?",
				'description' => "Would you like guests to see the message?",
				'optionscode' => "yesno",
				'value' => "no",
				'disporder' => 4,
				'gid' => (int)$gid
			)
		);
		
		
	}
	
function postcountmessage_is_installed()
	{
		global $db;
        // check if the column exists in the database
        $query = $db->simple_select("settinggroups", "gid" , "name='postcountmessage'");
		return $db->num_rows($query) > 0;
			{
                // if the column exists return true
                return true;
			}
        // otherwise return false
        return false;
	}

function postcountmessage_uninstall()
	{
		// load the $db variable of MyBB in our function
		global $db;
		
		//delete admincp control
		
		// get the gid of our settinggroups
		$query = $db->simple_select("settinggroups", "gid" , "name='postcountmessage'");
		$gid = (int)$db->fetch_field($query, "gid");
		// remove all settings in the group
		$db->delete_query("settings", "gid={$gid}" );
		// remove the settinggroup itself
		$db->delete_query("settinggroups", "gid={$gid}" );
	}
	
function postcountmessage_code()
	{
		global $gid, $mybb;
		global $postcountmessage;
		
		$indexpostcount = $mybb->settings['postcountmessage_postcount'];
		
		// if the setting isn't loaded set to (1) yes as default
			if(!isset($mybb->settings['postcountmessage_indexenable']))
				{	$mybb->settings['postcountmessage_indexenable'] = 1;		}
		
		//enter text into templates
		if($mybb->user['uid'] == 0 && $mybb->settings['postcountmessage_guests'] != 1)
			{
			}
			else
			{
				if($mybb->settings['postcountmessage_enable'] == 1)
					{
						if($mybb->user['postnum'] < $indexpostcount)
							{
								$postcountmessage = ($mybb->settings['postcountmessage_indextext']);
							}				
					}
			}
	}
	
function postcountmessage_activate()
	{
		// put a variable in the templates we can assign our own template output to
		include MYBB_ROOT."/inc/adminfunctions_templates.php";
		find_replace_templatesets("index", "/(".preg_quote("{\$forums}").")/i", "{\$postcountmessage}\n$1");
	}
	
function postcountmessage_deactivate()
	{
		// remove our variable in the header template
		include MYBB_ROOT."/inc/adminfunctions_templates.php";
		find_replace_templatesets("index", "/".preg_quote("{\$postcountmessage}\n")."/i", "", 0);
	}